Skip to content

Data Owner / Settings

Reference for the data_owner/settings endpoints of the Surfmeter API.

Surfmeter API – Data Owner / Settings v1

The Surfmeter API lets you manage clients, users, capabilities, measurements, and organization-wide settings programmatically.


Servers

Description URL
https://surfmeter-server.{host}/client_admin_api/v1 https://surfmeter-server.{host}/client_admin_api/v1

Data Owner / Settings


GET /data_owner/settings

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.

Response 200 OK

{
    "settings": {
        "ai_system_prompt": "string"
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "description": "Response for data owner settings show action",
    "type": "object",
    "required": [
        "settings"
    ],
    "properties": {
        "settings": {
            "type": "object",
            "properties": {
                "ai_system_prompt": {
                    "type": "string",
                    "nullable": true
                }
            }
        }
    }
}

PUT /data_owner/settings

Input parameters

Parameter In Type Default Nullable Description
ApiKeyAuth header string N/A No API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.

Request body

{
    "ai_system_prompt": "string"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "description": "Request data for data owner settings update action",
    "type": "object",
    "properties": {
        "ai_system_prompt": {
            "type": "string",
            "nullable": true
        }
    }
}

Response 200 OK

{
    "settings": {
        "ai_system_prompt": "string"
    }
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "description": "Response for data owner settings update action",
    "type": "object",
    "required": [
        "settings"
    ],
    "properties": {
        "settings": {
            "type": "object",
            "properties": {
                "ai_system_prompt": {
                    "type": "string",
                    "nullable": true
                }
            }
        }
    }
}

Schemas

DataOwnerSettingsShowResponse

Name Type
settings Properties: ai_system_prompt

DataOwnerSettingsUpdateData

Name Type
ai_system_prompt string| null

DataOwnerSettingsUpdateResponse

Name Type
settings Properties: ai_system_prompt

Security schemes

Name Type Scheme Description
ApiKeyAuth apiKey API key used on every request. Create keys in the Surfmeter Dashboard under Keys → Surfmeter API Keys.